Vehicles ======== This service provides years, makes, models and engine configurations. Vehicles can be filtered by passing in optional fields in the request. .. grid:: 2 :margin: 0 :padding: 0 .. grid-item:: :columns: 10 .. code-block:: none :caption: Service Endpoint POST https://api.groupvan.com/v2_1/catalog/vehicles .. grid-item:: :columns: 2 .. button-link:: https://v21-groupvan-api.dev.groupvan.com/v2_1/docs#/Catalog/post_catalog_vehicles :color: success :shadow: Try it Parameters ---------- :code:`vehicle_group_type_id` :bdg:`integer` :bdg-danger:`required` Vehicle Group Type ID returned from this service :code:`year_id` :bdg:`integer` Year ID returned from this service :code:`make_id` :bdg:`integer` Make ID returned from this service :code:`model_id` :bdg:`integer` Model ID returned from this service Vehicle Groups -------------- Vehicle Groups define the type of vehicle. Only one group can be queried at a time. Available Group Options ~~~~~~~~~~~~~~~~~~~~~~~ - Cars & Trucks - Motorcycle, Scooter & ATV - Utility Vehicle - Medium/Heavy Duty Truck - SnowMobile - Personal Watercraft - Motorhome/Recreational Vehicle Requesting Groups ~~~~~~~~~~~~~~~~~ Start by making the base request to the service. .. note:: The service requires a :code:`vehicle_group_type_id`. Group Type ID :code:`200` will return **Cars & Trucks**, however you can start with any group you prefer. .. code-block:: json :caption: Example First Request { "vehicle_group_type_id": 200 } This will return a list of all vehicle group types as well as all years, makes, and models for the group selected. Engines will remain empty until year, make & model are selected. .. code-block:: json :caption: Example First Response { "groups": [ { "vehicle_group_id": 200, "vehicle_group_name": "Cars & Trucks" }, { "vehicle_group_id": 201, "vehicle_group_name": "Motorcycle, Scooter & ATV" } ], "years": [ { "year_id": 2025, "year_name": "2025", "year_regions": "1^2" } ], "makes": [ { "make_id": 58, "make_name": "Acura", "make_rank": 1, "make_regions": "1^2^3" } ], "models": [ { "model_id": 6405, "model_name": "1 1/2 Litre", "model_regions": "1" } ], "engines": [] } Filtering Results ----------------- As the user makes year, make and/or model selections, re-query the service with options parameters to filter the results. .. note:: Year, make & model may be queried in any combination and order. .. code-block:: json :caption: Example of all filters applied { "vehicle_group_type_id": 200, "year_id": 2018, "make_id": 74, "model_id": 960 } Engine Selection ---------------- Once year, make and model are selected, the service will return a list of available engines. The :code:`configuration` object can then used in subsequent requests to other services. .. code-block:: json :caption: Example list of engines in response { "engines": [ { "configuration": { "base_vehicle_id": 24010, "make_id": 59, "make_name": "Honda", "model_id": 754, "model_name": "CR-V", "region_ids": [ 1, 2, 3 ], "year_id": 2007 } }, { "configuration": { "aspiration_id": 5, "aspiration_name": "Naturally Aspirated", "base_vehicle_id": 24010, "cylinder_head_type_id": 6, "cylinder_head_type_name": "DOHC", "engine_base_ids": [ 3953, 46, 17706 ], "engine_base_name": "2.4L L4", "engine_config_id": 8305, "engine_designation_id": 820, "engine_designation_name": "K24Z1", "engine_key_id": "24010_17706_8305", "engine_mfr_id": 25, "engine_mfr_name": "Honda", "engine_name": "2.4L L4 DOHC GAS MFI FI K24Z1", "engine_version_id": 53, "engine_version_name": "i-VTEC", "fuel_delivery_subtype_id": 5, "fuel_delivery_subtype_name": "MFI", "fuel_delivery_type_id": 5, "fuel_delivery_type_name": "FI", "fuel_sys_control_type_id": 5, "fuel_system_control_type_name": "Electronic", "fuel_system_design_id": 60, "fuel_system_design_name": "PGM-FI", "fuel_type_id": 5, "fuel_type_name": "GAS", "ignition_system_type_id": 6, "ignition_system_type_name": "Distributorless", "make_id": 59, "make_name": "Honda", "model_id": 754, "model_name": "CR-V", "region_ids": [ 1, 2, 3 ], "valves_per_engine_id": 3, "valves_per_engine_name": "16", "vehicle_to_engine_config_id": 189883, "year_id": 2007 } } ] } No Engine Selection ~~~~~~~~~~~~~~~~~~~ For convenience, a base :code:`configuration` object is returned with no engine data. This object can be used to indicated **No Engine Selection** when querying subsequent services. .. hint:: :code:`engine_config_id` will not be present in the object with no engine .. code-block:: json :caption: Example of a no engine :code:`configuration` object { "configuration": { "base_vehicle_id": 24010, "make_id": 59, "make_name": "Honda", "model_id": 754, "model_name": "CR-V", "region_ids": [ 1, 2, 3 ], "year_id": 2007 } }, Response ~~~~~~~~ .. dropdown:: Response JSON .. code-block:: json { "engines": [ { "configuration": { "base_vehicle_id": 3692, "make_id": 47, "make_name": "Chevrolet", "model_id": 491, "model_name": "Silverado 1500", "region_ids": [ 1, 2 ], "year_id": 2000 } }, { "configuration": { "aspiration_id": 5, "aspiration_name": "Naturally Aspirated", "base_vehicle_id": 3692, "cylinder_head_type_id": 7, "cylinder_head_type_name": "OHV", "engine_base_ids": [ 397 ], "engine_base_name": "4.3L V6", "engine_config_id": 1306, "engine_designation_id": 16450, "engine_designation_name": "L35", "engine_key_id": "3692_397_1306", "engine_mfr_id": 11, "engine_mfr_name": "General Motors", "engine_name": "4.3L V6 OHV GAS MFI FI W L35", "engine_version_id": 8, "engine_version_name": "Vortec", "engine_vin_id": 40, "engine_vin_name": "W", "fuel_delivery_subtype_id": 5, "fuel_delivery_subtype_name": "MFI", "fuel_delivery_type_id": 5, "fuel_delivery_type_name": "FI", "fuel_sys_control_type_id": 5, "fuel_system_control_type_name": "Electronic", "fuel_system_design_id": 45, "fuel_system_design_name": "Central SFI", "fuel_type_id": 5, "fuel_type_name": "GAS", "ignition_system_type_id": 5, "ignition_system_type_name": "Distributor-Breakerless", "make_id": 47, "make_name": "Chevrolet", "model_id": 491, "model_name": "Silverado 1500", "region_ids": [ 1, 2 ], "valves_per_engine_id": 2, "valves_per_engine_name": "12", "vehicle_to_engine_config_id": 18258, "year_id": 2000 } } ], "groups": [ { "vehicle_group_id": 200, "vehicle_group_name": "Cars & Trucks" }, { "vehicle_group_id": 201, "vehicle_group_name": "Motorcycle, Scooter & ATV" } ], "makes": [ { "make_id": 47, "make_name": "Chevrolet", "make_rank": 1, "make_regions": "1^2^3" } ], "models": [ { "model_id": 491, "model_name": "Silverado 1500", "model_regions": "1^2^3" } ], "years": [ { "year_id": 2000, "year_name": "2000", "year_regions": "1^2^3" } ] }